RPMLUA(1)

NAMN
rpmlua — RPM:s Lua-tolk

SYNOPSIS
rpmlua [flaggor] [LUASKRIPT] [-- ARG …]

BESKRIVNING
Kör RPM:s interna Lua-tolk.

Observera: index börjar på 1 i Lua, så programnamnet finns i arg[1] istället för det vanligare index noll.

ARGUMENT
LUASKRIPT
    Ett Luaskript.

ARG
    Flaggor och argument att skickas till SKRIPTFIL. rpmlua slutar bearbetningen vid --.

FLAGGOR
-i, --interactive
    Kör en interaktiv session efter att ha kört eventuella skript eller satser.

--opts=FLAGGSTRÄNG
    Utför getopt(3)-flaggbearbetning på de skickade argumenten i enlighet med FLAGGSTRÄNG.

-e "SATS", --execute "SATS"
    Kör en Lua-sats före ett eventuellt skript.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpmlua test.lua
    Kör skriptfilen test.lua.

rpmlua --opts=ab:c args.lua -- 1 2 3 -c -b5
    Kör skriptfilen args.lua med bearbetning av flaggor.

rpmlua -e "print(rpm.ver('1.0') < rpm.ver('2.0'))"
    Kör en ensam sats för att jämföra rpm-versioner.

rpmlua -i
    Kör en interaktiv session.

SE ÄVEN
lua(1), popt(3), getopt(3), rpm(8) rpm-lua(7)

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.